Name:           multisync
Version:        0.91.0
Release:        3%{?dist}
Summary:        Calendar (and other PIM data) synchronization program

Group:          Applications/Communications
License:        GPL
URL:            http://www.opensync.org
# see http://www.opensync.org/wiki/download
Source0:        %{name}-gui-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        msynctool-0.22.tar.bz2
Patch0:         multisync-rpath.patch
Patch1:         multisync-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel >= 0.22
BuildRequires:  libgnomeui-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libopensync-plugin-evolution2-devel
BuildRequires:  libopensync-plugin-gpe-devel
BuildRequires:  libopensync-plugin-palm-devel
BuildRequires:  automake
BuildRequires:  libtool

%description
MultiSync is a program to synchronize calendars, addressbooks and other PIM
data between programs on your computer and other computers, mobile devices,
PDAs or cell phones. It is packaged with plugins for Ximian Evolution, IrMC
mobile devices, Opie / Zaurus PDAs, SyncML, ldap and for backup.
For proper use, please install the desired plugins found in the
libopensync-plugin-* packages.

%package gui
Summary:  GUI interface for multisync
Group:    Applications/Communications
Requires: %{name} = %{version}-%{release}

%description gui
Graphical User Interface for multisync

%prep
%setup -q -n multisync-gui-%{version}
tar xjvf %{SOURCE2}
%patch0
%patch1
echo "env.Append(CCFLAGS = '$RPM_OPT_FLAGS')" >> SConstruct

%build
# both don't like smp flags so disable them for now
./configure --prefix=%{_prefix} -v
%{__make}

# build gui
cd msynctool-0.22
%configure --disable-static --disable-rpath
%{__make}

%install
rm -fr $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
cd msynctool-0.22
%makeinstall

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

#mv $RPM_BUILD_ROOT/%{_bindir}/multisync{0.91,}

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

sed -e's/multisync.png/\/usr\/share\/pixmaps\/multisync\/multisync.png/' -i \
$RPM_BUILD_ROOT%{_datadir}/%{name}/multisync.glade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root,-)
%doc msynctool-0.22/{AUTHORS,ChangeLog,COPYING,NEWS,README,TODO}
%{_bindir}/convcard
%{_bindir}/msynctool
%{_bindir}/convtest
%{_mandir}/man1/convcard*
%{_mandir}/man1/msynctool*

%files gui
%defattr(-, root, root,-)
%doc COPYING
%{_bindir}/multisync
%{_datadir}/multisync/
%{_datadir}/pixmaps/multisync/
%{_datadir}/applications/*desktop

%changelog
* Sat Jan 05 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.91.0-3
- fix #249530

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.91.0-2
- upgrade msynctool

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.91.0-1
- version upgrade

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.19-1
- version upgrade
- should fix #187288,#187319,#196412

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-6
- FE6 rebuild
- fix BR

* Fri Mar 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-5
- fix #185631

* Wed Mar 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-4
- fix segfaulting binary
- diff against svn151
- code a little bit for sanity

* Fri Feb 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-3
- Add missing desktop file
- Add BR for evolution2 plugin so gui will detect this correctly

* Sat Dec 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-2
- add BR libgnomeui-devel
- comment on missing smp flags

* Tue Nov 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-1
- user newer version from opensync project
- split gui and cmd line tool

* Thu Aug 11 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.82-4
- remove devel package altogether
- change Requires

0.82-3
- fedorarized
- install plugins in a more compact way
- add devel package

* Tue Nov 23 2004 Che
- initial rpm release
- decided to not split it for sanity reasons.
- thanks to streeter for the patches. (cheers to rh)
